org.apache.solr.client.solrj.request

## Class DirectXmlRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest<UpdateResponse>
  - - org.apache.solr.client.solrj.request.DirectXmlRequest

- All Implemented Interfaces:
    Serializable, IsUpdateRequest

      public class DirectXmlRequest
      extends SolrRequest<UpdateResponse>
      implements IsUpdateRequest

  Send arbitrary XML to a request handler
  Since:
    solr 1.3
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

      `SolrRequest.METHOD`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DirectXmlRequest(String path, String body)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected UpdateResponse` | `createResponse(SolrClient client)` Create a new SolrResponse to hold the response from the server
    `Collection<ContentStream>` | `getContentStreams()`
    `SolrParams` | `getParams()`
    `void` | `setParams(SolrParams params)`

    - ### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

      `getBasicAuthPassword, getBasicAuthUser, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, process, process, setBasicAuthCredentials, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DirectXmlRequest

          public DirectXmlRequest(String path,
                                  String body)

  - ### Method Detail

    - #### getContentStreams

          public Collection<ContentStream> getContentStreams()

      Specified by:
        `getContentStreams` in class `SolrRequest<UpdateResponse>`

    - #### createResponse

          protected UpdateResponse createResponse(SolrClient client)

      Description copied from class: `SolrRequest`
      Create a new SolrResponse to hold the response from the server
      Specified by:
        `createResponse` in class `SolrRequest<UpdateResponse>`
      Parameters:
        `client` - the `SolrClient` the request will be sent to

    - #### getParams

          public SolrParams getParams()

      Specified by:
        `getParams` in class `SolrRequest<UpdateResponse>`

    - #### setParams

          public void setParams(SolrParams params)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.